var getLocation = function() {
  var deferred = $.Deferred();
  
  var success = function(position) {
    deferred.resolve(position);
  }
  
  var failure = function(err) {
    deferred.reject(err);
  }
  
  navigator.geolocation.getCurrentPosition(success, failure);
  
  return deferred.promise();
}

var displayLocation = function(locationSpan) {
  var locationPromise = getLocation();
  
  locationPromise.done(function(position) {
    locationSpan.innerHTML = position.coords.latitude + " : " + position.coords.longitude;    
  });

  locationPromise.fail(function(err) {
    locationSpan.innerHTML = "Error: " + err;
  });
}
